window.onresize = resize;
window.onclick = click;

function  init() {
    window.menu.hideSoftkeys();
	resize();
	updateClock();
	setInterval('updateClock()', 1000 );
}

function updateClock() {
	var currentTime = new Date ( );

	var currentHours = currentTime.getHours ( );
	var currentMinutes = currentTime.getMinutes ( );
	var currentSeconds = currentTime.getSeconds ( );
	
	if (window.innerHeight > 150) {
		document.getElementById('h').innerHTML = currentHours;
		document.getElementById('m').innerHTML = currentMinutes;
		document.getElementById('s').innerHTML = currentSeconds;
		
		$("#hb").animate({
			width: (currentHours / 24) * 100 + "%"
		}, 1000);
		$("#mb").animate({
			width: (currentMinutes / 60) * 100 + "%"
		}, 1000);
		$("#sb").animate({
			width: (currentSeconds / 60) * 100 + "%"
		}, 1000);
	}
	else {
		document.getElementById('minih').innerHTML=currentHours;
		document.getElementById('minim').innerHTML=currentMinutes;
		document.getElementById('minis').innerHTML=currentSeconds;	
	}
	
	
	
	
}
function resize() {
	var windowWidth = window.innerWidth;
    var windowHeight = window.innerHeight;
	
	if (window.innerHeight < 150) {
       miniview();
    }
	else {
		maxiview();
		if (windowWidth > windowHeight) {
			document.getElementById('h').style.marginTop = 3+"px";
			document.getElementById('m').style.marginTop = 12+"px";
			document.getElementById('s').style.marginTop = 12+"px";
		}
		else {
			document.getElementById('h').style.marginTop = 80+"px";
			document.getElementById('m').style.marginTop = 80+"px";
			document.getElementById('s').style.marginTop = 80+"px";
		}
	}
}

function miniview() {
	document.getElementById('maxi').style.display = "none";
	document.getElementById('mini').style.display = "block";
}
function maxiview() {
	document.getElementById('mini').style.display = "none";
	document.getElementById('maxi').style.display = "block";
    window.menu.hideSoftkeys();
	}

function click() {
	if (confirm("Do you really want to exit?")) {
		window.close();
	}
	else {
		alert("This program was desiged and written by Balint Molnar in 2011. Contact: molbal94@gmail.com")
	}
}